<?xml version="1.0" encoding="UTF-8"?>
<plugin
   id="org.eclipse.v4all"
   name="V4ALL Plug-in"
   version="2.1.1.9"
   provider-name="Eclipse.org"
   class="org.eclipse.v4all.V4ALLPlugin">

   <runtime>
     <library name="v4all.jar">  </library> 
   </runtime>

   <requires>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.jdt.ui"/>
      <import plugin="org.eclipse.jdt.core"/>
      <import plugin="org.apache.xerces"/>
      <import plugin="org.eclipse.jface"/>
      <import plugin="org.eclipse.debug.core"/>
      <import plugin="org.eclipse.debug.ui"/>
      <import plugin="org.eclipse.jdt.launching"/>
   </requires>

  <!-- ========================================================================= -->
   
   <extension
         point="org.eclipse.ui.perspectives">
      <perspective
            name="%perspective.name"
            icon="icons/v4all.gif"
            class="org.eclipse.v4all.ui.V4ALLPerspective"
            id="org.eclipse.v4all.ui.V4ALLPerspective">
      </perspective>
   </extension>
   
  <!-- ========================================================================= -->
   
   <extension
         point="org.eclipse.ui.commands">
      <category
            name="%ViewCategory.Label"
            description="%ViewCategory.Label"
            id="org.eclipse.gef.category.view">
      </category>
      <command
            name="%ZoomIn.Tooltip"
            description="%ZoomIn.Tooltip"
            category="org.eclipse.gef.category.view"
            id="org.eclipse.gef.zoom_in">
      </command>
      <keyBinding
            string="Ctrl+="
            scope="org.eclipse.ui.globalScope"
            command="org.eclipse.gef.zoom_in"
            configuration="org.eclipse.ui.defaultAcceleratorConfiguration">
      </keyBinding>
      <command
            name="%ZoomOut.Tooltip"
            description="%ZoomOut.Tooltip"
            category="org.eclipse.gef.category.view"
            id="org.eclipse.gef.zoom_out">
      </command>
      <keyBinding
            string="Ctrl+-"
            scope="org.eclipse.ui.globalScope"
            command="org.eclipse.gef.zoom_out"
            configuration="org.eclipse.ui.defaultAcceleratorConfiguration">
      </keyBinding>
   </extension>

  <!-- ========================================================================= -->
   
   <extension
         point="org.eclipse.ui.editors">
      <editor
            name="%editor_name"
            default="true"
            icon="icons/v4all.gif"
            extensions="v4all"
            contributorClass="org.eclipse.v4all.MultiPageContributor"
            class="org.eclipse.v4all.MultiPageEditor"
            id="V4ALL Multipage Editor">
      </editor>
   </extension>
   <extension
         point="org.eclipse.ui.newWizards">
      <category
            name="%wizard_category_name"
            parentCategory="org.eclipse.jdt.ui.java"
            id="org.eclipse.v4all.editor">
      </category>
      <wizard
            name="%wizard_name"
            icon="icons/v4all.gif"
            category="org.eclipse.jdt.ui.java/org.eclipse.v4all.editor"
            class="org.eclipse.v4all.base.CreationWizard"
            project="true"
            finalPerspective="org.eclipse.jdt.ui.JavaPerspective"
            id="org.eclipse.v4all.wizard.new.file">
         <description>
            %wizard_description
         </description>
      </wizard>
   </extension>

  <!-- ========================================================================= -->
   
   <extension point = "org.eclipse.ui.preferencePages">
       <page id="org.eclipse.v4all.Preferences"
	      class="org.eclipse.v4all.V4ALLPreferencePage"
            name="V4ALL Eclipse Swing and SWT GUI-Designer">
       </page>
	 <page name="Appearance"
		id="org.eclipse.v4all.V4ALLPreferencePage_Appearance"
		class="org.eclipse.v4all.V4ALLPreferencePage_Appearance"
		category= "org.eclipse.v4all.Preferences">
	 </page>		
   </extension>



</plugin>
